Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 14 Sep 2021 06:43:04 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I place my order # 6349502964, and select the delivery method to be Click & Collect .. Due to my urgency need to the items I have ordered I buy it from CenterPoint King Abdullah Rd. Riyadh - Branch, and try to request to cancel my order, but I been advice that I can’t cancel it.

I try yesterday 11 September 2021 to request from the Customer Service @ the store, and I contact the call center 8001111027, but both was not able to help me.

Today 12 September 2021 I received an SMS that my order is ready for collection. So, I went to  CenterPoint store and advice the agent handling the Click & Collect that I don’t want to receive this order in order to cancel it. So, he released the box with his colleague and ask me to move with him to the cashier to complete the cancellation process. But unfortunately the cashier advice that system is down, and can’t process the cancellation request.

Subsequently, my order box been return back to the agent handling Click & Collect, and he advice me that he will keep the box with him in the store, and will try to cancel the order when the system back online again.
However, I got an email notification that my order been already collected / received, although it’s still in the Click & Collect store @ CenterPoint store.

I really need the help to cancel this order and to refond the complete amount into my credit card account as soon as possible. This you for your help. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3095220